curl --request GET \
--url https://api.jtl-cloud.com/erp/customers/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/customers/{customerId}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"Number": "C1005486",
"CustomerGroupId": 123,
"BillingAddress": {
"Id": 123,
"Company": "Sportbedarf Sommer",
"Company2": "Innovation Division",
"FormOfAddress": "Mr.",
"Title": "Dr.",
"FirstName": "John",
"LastName": "Doe",
"Street": "Main St. 123",
"Address2": "Floor 5, Apt 302",
"PostalCode": "12345",
"City": "Example City",
"State": "Example State",
"CountryIso": "DE",
"VatID": "DE123456789",
"PhoneNumber": "+49 1234 445556661",
"MobilePhoneNumber": "+49 160 123 4567",
"EmailAddress": "example@email.com",
"Fax": "+49 1234 4455566615"
},
"Shipmentaddress": {
"Id": 123,
"Company": "Sportbedarf Sommer",
"Company2": "Innovation Division",
"FormOfAddress": "Mr.",
"Title": "Dr.",
"FirstName": "John",
"LastName": "Doe",
"Street": "Main St. 123",
"Address2": "Floor 5, Apt 302",
"PostalCode": "12345",
"City": "Example City",
"State": "Example State",
"CountryIso": "DE",
"VatID": "DE123456789",
"PhoneNumber": "+49 1234 445556661",
"MobilePhoneNumber": "+49 160 123 4567",
"EmailAddress": "example@email.com",
"Fax": "+49 1234 4455566615"
},
"CustomAddress": {
"Id": 123,
"Company": "Sportbedarf Sommer",
"Company2": "Innovation Division",
"FormOfAddress": "Mr.",
"Title": "Dr.",
"FirstName": "John",
"LastName": "Doe",
"Street": "Main St. 123",
"Address2": "Floor 5, Apt 302",
"PostalCode": "12345",
"City": "Example City",
"State": "Example State",
"CountryIso": "DE",
"VatID": "DE123456789",
"PhoneNumber": "+49 1234 445556661",
"MobilePhoneNumber": "+49 160 123 4567",
"EmailAddress": "example@email.com",
"Fax": "+49 1234 4455566615"
},
"OtherAddresses": {
"OtherBillingAddresses": [
{
"Id": 123,
"Company": "Sportbedarf Sommer",
"Company2": "Innovation Division",
"FormOfAddress": "Mr.",
"Title": "Dr.",
"FirstName": "John",
"LastName": "Doe",
"Street": "Main St. 123",
"Address2": "Floor 5, Apt 302",
"PostalCode": "12345",
"City": "Example City",
"State": "Example State",
"CountryIso": "DE",
"VatID": "DE123456789",
"PhoneNumber": "+49 1234 445556661",
"MobilePhoneNumber": "+49 160 123 4567",
"EmailAddress": "example@email.com",
"Fax": "+49 1234 4455566615"
}
],
"OtherShippingAddresses": [
{
"Id": 123,
"Company": "Sportbedarf Sommer",
"Company2": "Innovation Division",
"FormOfAddress": "Mr.",
"Title": "Dr.",
"FirstName": "John",
"LastName": "Doe",
"Street": "Main St. 123",
"Address2": "Floor 5, Apt 302",
"PostalCode": "12345",
"City": "Example City",
"State": "Example State",
"CountryIso": "DE",
"VatID": "DE123456789",
"PhoneNumber": "+49 1234 445556661",
"MobilePhoneNumber": "+49 160 123 4567",
"EmailAddress": "example@email.com",
"Fax": "+49 1234 4455566615"
}
],
"OtherCustomerAddresses": [
{
"Id": 123,
"Company": "Sportbedarf Sommer",
"Company2": "Innovation Division",
"FormOfAddress": "Mr.",
"Title": "Dr.",
"FirstName": "John",
"LastName": "Doe",
"Street": "Main St. 123",
"Address2": "Floor 5, Apt 302",
"PostalCode": "12345",
"City": "Example City",
"State": "Example State",
"CountryIso": "DE",
"VatID": "DE123456789",
"PhoneNumber": "+49 1234 445556661",
"MobilePhoneNumber": "+49 160 123 4567",
"EmailAddress": "example@email.com",
"Fax": "+49 1234 4455566615"
}
]
},
"PaymentSettings": {
"PaymentMethodId": 123,
"Discount": 5,
"PaymentTarget": 3,
"CreditLimit": 100,
"StopPaymentRequest": false
},
"CustomerSince": "2023-02-01T13:30:00.0000000+00:00",
"LastChange": "2023-02-01T13:30:00.0000000+00:00",
"LanguageIso": "DE",
"InternalCompanyId": 123,
"CustomerCategoryId": 123,
"TaxIdentificationNumber": "123/123/12345",
"AccountsReceivableNumber": 10000,
"CommercialRegisterNumber": "HRB 1234",
"Website": "https://mywebsite.com",
"InitialContact": "Amazon",
"EbayUsername": "eBaybuyer123",
"Birthday": "1985-01-01T",
"IsLocked": false,
"IsCashRegisterBased": false
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}Get Customer
Get a specific customer
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
Response
Returns the customer for the given id.
Model Class: Customer
The customer's number.
"C1005486"
Model Class: Address
Show child attributes
Show child attributes
Model Class: Address
Show child attributes
Show child attributes
Model Class: Address
Show child attributes
Show child attributes
Model Class: OtherAddresses
Show child attributes
Show child attributes
Model Class: PaymentSettings
Show child attributes
Show child attributes
Date since they have been a customer.
"2023-02-01T13:30:00.0000000+00:00"
Date of the last customer's data change.
"2023-02-01T13:30:00.0000000+00:00"
The customer's language.
"DE"
The customer's tax identification number.
"123/123/12345"
The customer's accounts receivable number.
10000
The customer's commercial register number.
"HRB 1234"
The customer's website.
"https://mywebsite.com"
The source of initial contact. This could be for example a specific sales channel, a convention or a marketing campaign.
"Amazon"
The customer's eBay username.
"eBaybuyer123"
The customer's date of birth.
"1985-01-01T"
The customer's locked status for online shop sales channels.
false
States if a customer is from a cash-register or point of sale and if their data should be synchronized with JTL-POS, for example.
false
Was this page helpful?